UPDATE sscSetting SET smallValue='3.2.2' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataClientCertificatePath','Client Certificate Path','The path to your .p12 certificate file created from the .pem file downloaded from your First Data Global Gateway account. If the path begins with /WEB-INF, it represents a path under the installation directory. You must create the .p12 file and upload it to the server. To create a .p12 file from a .pem file, use the following openssl command as an example: <strong>openssl pkcs12 -export -in yourpemfile.pem -inkey yourpemfile.pem -out firstDataCertificate.p12 -passout pass:yourpassword -name "First Data Global Gateway"</strong>. Refer to the <a target="_new" href="http://www.firstdata.com/downloads/marketing-merchant/fd_globalgatewayapi_usermanual.pdf">First Data Global API User Manual</a> for more information.','FIRSTDATA', 'mediumValue',NULL,NULL,'/WEB-INF/conf/keys/firstDataCertificate.p12',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataClientCertificatePassword','Client Certificate Password','The password that was used when converting the .pem file downloaded from your First Data Global Gateway account to the .p12 Client Certificate file.','FIRSTDATA', 'encryptedValue',NULL,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataStoreNumber','Store Number','The store number from your First Data Global Gateway account.','FIRSTDATA', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataAPIHostName','API Host Name','The host name used by the API service to connect to the First Data Global Gateway. As of this writing, use <strong>staging.linkpt.net</strong> for test accounts and <strong>api.qa.linkpoint.com</strong> for live accounts.','FIRSTDATA', 'mediumValue',NULL,NULL,'api.qa.linkpoint.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataAPIPort','API Port Number','The port used by the API service to connect to the First Data Global Gateway.','FIRSTDATA', 'integerValue', 1129,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataTransactionType','Transaction Type','The type of transaction for the First Data Global Gateway to perform with each order. (Valid values are SALE and PREAUTH.)','FIRSTDATA', 'smallValue', NULL,'PREAUTH',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataTestMode','Test Mode','The test mode used for each transaction. For testing, use GOOD, DECLINE, or DUPLICATE. For live transactions use LIVE.','FIRSTDATA', 'smallValue', NULL,'LIVE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataComments','Comments','The comments sent to the First Data Global Gateway with optional extra information about each order.','FIRSTDATA', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('deriveCreditCardTypeFromNumber','Derive Credit Card Type from Number','If enabled, the system will not prompt shoppers for the credit card type (Visa, MasterCard, etc). Instead, the system will derive the type from the card number.','PAYMENTS', 'booleanValue',0,NULL,NULL,NULL);
