UPDATE sscSetting SET smallValue='3.5.3' WHERE code='dataObjectsVersion';

UPDATE sscCountry SET name = 'United Kingdom of Great Britain and Northern Ireland' WHERE code = 'GB';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboSyncOrdersToQbo','Sync Orders To QBO','Define at what point in the workflow each order should be synced to QBO. The order is synced into QBO as a Sales Receipt. To avoid the possibility of duplicates, the sync will not create the Sales Receipt if it already exists with the same Order Number/Doc Number','QUICKBOOKSONLINE','smallValue',0,'DoNotSyncAutomatically',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncStatusChange','Order Sync - Status for Shipped Orders','The status of a shipped order. If the Sync Orders To QBO setting is set to sync orders as they are shipped, when the order status changes to this value, it will trigger it to be synced.','QUICKBOOKSONLINE', 'smallValue',0,'Shipped',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncCreateItems','Order Sync - Create Items?','When syncing an order into QBO, the integration will first try to find an Item in your QBO company whose Name matches the Product code in the new order, and use it as the Item reference in the new QBO Sales Receipt. If it does not find a matching Item, and this flag is set to yes, the integration will create the Item right away and use it. In this way you can sync your Products to QBO automatically as orders come in for new products.','QUICKBOOKSONLINE','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncDefaultItemName','Order Sync - Default Item Name','When syncing an order into QBO, if no matching Item can be found for one of the order items, and the above flag to create new Items is set to no, this setting represents the exact name of the Item defined in your QBO account that should be used for all unmatched order items synced from this store. If there is no such Item in QBO, the integration will attempt to create it and use it. If this setting is left blank and no Item can be matched, the order cannot be synced, and the integration will attempt to send a warning email.','QUICKBOOKSONLINE','mediumValue',0,NULL,'Web Product',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncCreateCustomers','Order Sync - Create Customers?','When syncing an order into QBO, the integration will first try to find a Customer in your QBO company whose Primary Email Address matches the username of the Customer who placed the order, and use it as the Customer reference in the new QBO Sales Receipt. If it does not find a matching Customer, and this flag is set to yes, the integration will create the Customer right away and use it. In this way you can sync your Customers to QBO automatically as orders come in.','QUICKBOOKSONLINE','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncDefaultCustomerName','Order Sync - Default Customer Name','When syncing an order into QBO, if no matching Customer can be found for the order, and the above flag to create new Customers is set to no, this setting represents the exact name of the Customer defined in your QBO account that should be used for all unmatched orders synced from this store. If there is no such Customer in QBO, the integration will attempt to create it and use it. If this setting is left blank and no Customer can be matched, the order is synced to QBO without a reference to a Customer.','QUICKBOOKSONLINE','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncShippingItemName','Order Sync - Shipping Item Name','When syncing an order into QBO, the integration will first try to populate the transaction-wide Shipping field in the QBO Sales Receipt. However, if this feature is disabled in your QBO account (ie Account and Settings -> Sale -> Sales Form Content -> Shipping is turned off), the integration will represent shipping as a regular Line Item in the QBO Sales Receipt. In doing so it will use this setting for the name of the Item. If there is no such Item in QBO, the integration will attempt to create it and use it.','QUICKBOOKSONLINE','mediumValue',0,NULL,'Web Shipping',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncDiscountItemName','Order Sync - Discount Item Name','When syncing an order into QBO, the integration will first try to populate the transaction-wide Discount field in the QBO Sales Receipt to represent global discounts (item discounts are simply subtracted from each line item total). However, if this feature is disabled in your QBO account (ie Account and Settings -> Sale -> Sales Form Content -> Discount is turned off), the integration will represent all global discounts together as a regular Line Item in the QBO Sales Receipt. In doing so it will use this setting for the name of the Item. If there is no such Item in QBO, the integration will attempt to create it and use it.','QUICKBOOKSONLINE','mediumValue',0,NULL,'Web Discount',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncTaxCodeName','Order Sync - Tax Code Name','When syncing an order that has taxes into QBO, the integration will first try to find a QBO Tax Code matching the state and tax rate (eg. NY-8.00). If no matching Tax Code is found, this setting represents the Name of the Tax Code that will be used for all orders. If there is no such Tax Code in QBO, and this setting is populated, the integration will represent the tax as a Line Item under the Sales Receipt, using this setting as the name of the Item. If this setting is left blank and no Tax Code is found, no tax information will be passed to QBO at all. Leaving this field blank may be the best choice if you have set up QBO to calculate taxes.','QUICKBOOKSONLINE','mediumValue',0,NULL,'Web Tax Code',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncMarkItemsTaxable','Order Sync - Mark Items Taxable','When syncing an order into QBO, this setting determines if each of the items that are synced will have their Tax checkbox checked or not in QBO. The default is to base this on the Product record in the store and whether the Is Taxed field is set or not. Setting this to Never may be the best choice if your store is set up to calculate taxes and the tax is sent as a regular sales line item, because it will prevent QBO from calculating and adding its own tax.','QUICKBOOKSONLINE','mediumValue',0,NULL,'BasedOnProductIsTaxed',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncDefaultPaymentMethodName','Order Sync - Default Payment Method Name','When syncing an order that has a payment into QBO, the integration will first try to find a QBO Payment Method matching the credit card brand (VISA, MASTERCARD, etc), PayPal, Check, or Purchase Order, depending on the payment processor used by the customer. The integration will create these Payment Methods in QBO if they do not exist. If the processor used by the customer is something else, however, this setting represents the name of the Payment Method that will be used. If there is no such Payment Method in QBO, the integration will attempt to create it and use it','QUICKBOOKSONLINE','mediumValue',0,NULL,'Web Payment',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOrderSyncDepositAccountName','Order Sync - Deposit Account Name','When syncing an order into QBO, the integration will first try to apply the payment for the Sales Receipt to the QBO Deposit Account whose name matches this setting. If there is no such Deposit Account in QBO, the Sales Receipt is applied to the Undeposited Funds account in QBO.','QUICKBOOKSONLINE','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboNotificationEmailsTo','QBO Notification Emails To','When there are errors connecting to QBO or syncing data to QBO the integration can attempt to send an email warning about the issue. This is a comma-separated list of email addresses that should receive the emails.','QUICKBOOKSONLINE','textValue',0,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboSandboxOrLive','QBO Environment','Sandbox or Live - the QBO environment to connect to. Changing this may require you to re-connect to QuickBooks under the new environment.','QBOADVANCED','smallValue',0,'Sandbox',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboConnectionTimeout','QBO Connection Timeout In Seconds','When making requests to QBO, if it takes longer than this many seconds for the connection to be established, an error will be thrown and the sync will fail. Set to 0 to not have a timeout.','QBOADVANCED','integerValue',90,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboMinorVersion','QBO Minor Version','The Minor Version of the QBO API specified in the calls this store makes to QBO.','QBOADVANCED','integerValue',56,NULL,NULL,NULL);

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,isActive)
VALUES ('qboConnectionWarning','HTML','QBO Connection Problem','Sent to admins when there are errors connecting to QBO or syncing data to QBO.',
'<html><body>
<p>Hello,<br><br>
There was a problem connecting to or syncing data with your QuickBooks Online account:</p>
<p>${message}</p>
<p><a href="${settings.map.administratorURL}/QBOConnectForm.do">Click here for reconnecting to your QBO account.</a></p>
<p><a href="${settings.map.administratorURL}/SettingsQBO.do">Click here for your store QBO settings.</a></p>
<p>Thank You,</p>
<p>${settings.map.storeName}</p>
</body></html>',
'1');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOAuth2AppRedirectUri','OAuth2 App Redirect Uri','The URL Quickbooks Online sends the user to during the authorization flow. The value of the Administrator URL from the URL settings is prepended to this. <strong>Your store URL must be registered with SoftSlate in order to connect to QBO. See more details below under How Do I Connect to My QBO Account?</strong>','QBOADVANCED','mediumValue',0,NULL,'/QboOauth2Callback.do',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboC2qbScope','Connect To QuickBooks Scope','','QBOADVANCED','mediumValue',0,NULL,'com.intuit.quickbooks.accounting',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboSiwiScope','Sign In With Intuit Scope','','QBOADVANCED','mediumValue',0,NULL,'openid profile email phone address',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboGetAppNowScope','Get App Now Scope','','QBOADVANCED','mediumValue',0,NULL,'openid profile email phone address com.intuit.quickbooks.accounting',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboRealmId-Live','Realm ID - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboAccessToken-Live','Access Token - Live','','QBOADVANCED','textValue',0,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboRefreshToken-Live','Refresh Token - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboTokenType-Live','Token Type - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboAccessTokenExpiration-Live','Access Token Expiration Date - Live','The expiration date for the current access token. This will automatically be refreshed with each interaction if expired.','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboRefreshTokenExpiration-Live','Refresh Token Expiration Date - Live','The expiration date for the current refresh token. This can automatically be refreshed monthly with the QBO job.','QBOADVANCED','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOAuth2AppClientId-Live','OAuth2 App ClientId - Live','The ClientId of the app to connect to for the Live environment. Leave blank to connect to the default SoftSlate integration.','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOAuth2AppClientSecret-Live','OAuth2 App Client Secret - Live','The Client Secret of the app to connect to for the Live environment. Leave blank to connect to the default SoftSlate integration.','QBOADVANCED','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboDiscoveryAPIHost-Live','Discovery API Host - Live','The URL the Connect to QuickBooks process will use to determine other settings for the Live environment. There should be no reason to change this unless QuickBooks changes its platform.','QBOADVANCED','mediumValue',0,NULL,'https://developer.api.intuit.com/.well-known/openid_configuration',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitAuthorizationEndpoint-Live','Intuit Authorization Endpoint - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitBearerTokenEndpoint-Live','Intuit Bearer Token Endpoint - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitRevokeTokenEndpoint-Live','Intuit Revoke Token Endpoint - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitJsksURI-Live','Intuit Jsks URI - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitIdTokenIssuer-Live','IntuitId Token Issuer - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitAccountingAPIHost-Live','Intuit Accounting API Host - Live','','QBOADVANCED','mediumValue',0,NULL,'https://quickbooks.api.intuit.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitUserProfileAPIHost-Live','Intuit User Profile API Host - Live','','QBOADVANCED','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboRealmId-Sandbox','Realm ID - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboAccessToken-Sandbox','Access Token - Sandbox','','QBOADVANCED','textValue',0,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboRefreshToken-Sandbox','Refresh Token - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboTokenType-Sandbox','Token Type - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboAccessTokenExpiration-Sandbox','Access Token Expiration Date - Sandbox','The expiration date for the current access token. This will automatically be refreshed with each interaction if expired.','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboRefreshTokenExpiration-Sandbox','Refresh Token Expiration Date - Sandbox','The expiration date for the current refresh token. This can automatically be refreshed monthly with the QBO job.','QBOADVANCED','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboDiscoveryAPIHost-Sandbox','Discovery API Host - Sandbox','The URL the Connect to QuickBooks process will use to determine other settings for the Sandbox environment. There should be no reason to change this unless QuickBooks changes its platform.','QBOADVANCED','mediumValue',0,NULL,'https://developer.api.intuit.com/.well-known/openid_sandbox_configuration/',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitAuthorizationEndpoint-Sandbox','Intuit Authorization Endpoint - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitBearerTokenEndpoint-Sandbox','Intuit Bearer Token Endpoint - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitRevokeTokenEndpoint-Sandbox','Intuit Revoke Token Endpoint - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitJsksURI-Sandbox','Intuit Jsks URI - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitIdTokenIssuer-Sandbox','IntuitId Token Issuer - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitAccountingAPIHost-Sandbox','Intuit Accounting API Host - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'https://sandbox-quickbooks.api.intuit.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboIntuitUserProfileAPIHost-Sandbox','Intuit User Profile API Host - Sandbox','','QBOADVANCED','mediumValue',0,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOAuth2AppClientId-Sandbox','OAuth2 App ClientId - Sandbox','The ClientId of the app to connect to for the Sandbox environment. Leave blank to connect to the default SoftSlate integration.','QBOADVANCED','mediumValue',0,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('qboOAuth2AppClientSecret-Sandbox','OAuth2 App Client Secret - Sandbox','The Client Secret of the app to connect to for the Sandbox environment. Leave blank to connect to the default SoftSlate integration.','QBOADVANCED','mediumValue',0,NULL,'',NULL);

INSERT INTO sscRole(code, name, description) VALUES('settingsQBOView', 'QuickBooks Online Settings Viewer', 'Allows access to view QuickBooks Online settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsQBOEdit', 'QuickBooks Online Settings Editor', 'Allows access to view and edit QuickBooks Online settings.');

INSERT INTO sscRole(code, name, description) VALUES('settingsQBOAdvancedView', 'QuickBooks Online Advanced Settings Viewer', 'Allows access to view QuickBooks Online Advanced settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsQBOAdvancedEdit', 'QuickBooks Online Advanced Settings Editor', 'Allows access to view and edit QuickBooks Online Advanced settings.');

