package com.softslate.commerce.administrator.core;

import java.security.Principal;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;

import com.softslate.commerce.businessobjects.administrator.Administrator;
import com.softslate.commerce.businessobjects.core.User;

/**
 * @author David Tobey
 */
public class AdministratorRequestWrapper extends HttpServletRequestWrapper {

	public AdministratorRequestWrapper(HttpServletRequest request) {
		super(request);
	}

	public boolean isUserInRole(String role) {
		User user = (User) getSession().getAttribute("user");
		if (user == null) {
			return false;
		}
		Administrator administrator = user.getAdministrator();
		if (administrator == null) {
			return false;
		}
		Collection roles = administrator.getRoleCodes();
		if (roles == null) {
			return false;
		}
		return roles.contains(role);
	}

	public String getRemoteUser() {
		User user = (User) getSession().getAttribute("user");
		if (user == null) {
			return null;
		}
		Administrator administrator = user.getAdministrator();
		if (administrator == null) {
			return null;
		}
		return administrator.getUserName();
	}

	public Principal getUserPrincipal() {
		return (Principal) getSession().getAttribute("administratorPrincipal");
	}

}
