package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormThemes extends BaseDynaForm {
	private static final long serialVersionUID = 3688791366641725491L;

	static Log log = LogFactory.getLog(SettingsFormThemes.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getFormUtils().stringExists(this, "otherCSSTheme")
				&& !get("cssTheme").equals("Other")) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage(
									"errors.detail",
									"For CSS Theme, please select 'Other' in the drop down menu, or leave the 'Other' text field blank."));
		} else if (!getFormUtils().stringExists(this, "otherCSSTheme")
				&& get("cssTheme").equals("Other")) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage(
									"errors.detail",
									"For CSS Theme, a selection in the drop down menu or in the 'Other' field is required."));
		} else if (getFormUtils().stringExists(this, "otherCSSTheme")
				&& get("cssTheme").equals("Other")) {
			set("cssTheme", get("otherCSSTheme"));
		}
		return getErrors();
	}

}
