package com.softslate.commerce.administrator.core;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.core.Settings;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/UserSettingDelete.do". Processes a request to delete records
 * in the system.
 * 
 * @author Jason McWilliams
 */
public class UserSettingDeleteAction extends BaseAction {

	static Log log = LogFactory.getLog(UserSettingDeleteAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Prepare parameters for the edit/delete processing, and process
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		Settings settingsBean =  bof
				.createObject(Settings.class);

		synchronized (getServlet().getServletContext()) {

			Map parameters = PropertyUtils.describe(form);
			settingsBean.deleteSetting(parameters);

			// Reload all the settings
			Settings settings = (Settings) servlet.getServletContext()
					.getAttribute("settingsBean");
			settings.initialize();

			// Set the success message
			ActionMessages messages = new ActionMessages();
			messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"messages.recordDeleted"));
			saveMessages(request, messages);

		}

		return mapping.findForward("success");
	}
}
