package com.softslate.commerce.administrator.email;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.email.Template;
import com.softslate.commerce.businessobjects.email.TemplateProcessor;
import com.softslate.commerce.customer.core.BaseAction;


/**
 * Struts action class corresponding to requests to
 * <code>/administrator/EmailOptOutAddForm.do</code>. Creates an empty
 * <code>EmailOptOutAddEditForm</code> object.
 * 
 */
public class EmailOptOutAddFormAction extends BaseAction {

	static Log log = LogFactory.getLog(EmailOptOutAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled()) log.debug("Starting action.");

		EmailOptOutAddEditForm baseForm = (EmailOptOutAddEditForm) form;

		if (request.getAttribute("reset") != null && request.getAttribute("reset").equals("true")) {
			Class classDefinition = baseForm.getClass();
			baseForm = (EmailOptOutAddEditForm) classDefinition.newInstance();
		}

		baseForm.initializeProperties(mapping, request);
		request.setAttribute("emailOptOutAddEditForm", baseForm);
		
		TemplateProcessor processor = (TemplateProcessor) baseForm.getBusinessObjectFactory().createObject(
				"templateProcessorImplementer");
		Collection<Template> templates = processor.loadAllTemplates();
		request.setAttribute("templates", templates);
		
		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Email Opt Outs", "Add Email Opt Out" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
