/**
 * 
 */
package com.softslate.commerce.administrator.importexport;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.product.ProductProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts Action class responsible for producing the Sales By Product report
 * form.
 * 
 * @author David Tobey
 */
public class SalesByProductFormAction extends BaseAction {

	static Log log = LogFactory.getLog(SalesByProductFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		SalesByProductForm baseForm = (SalesByProductForm) form;
		baseForm.initializeProperties(mapping, request);

		// Load products for the product drop down.
		ProductProcessor productProcessor = (ProductProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"productProcessorImplementer");
		Collection productNamesCodesIDs = productProcessor
				.loadAllProductNamesCodesIDs();
		request.setAttribute("productNamesCodesIDs", productNamesCodesIDs);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home",
				"Sales by Product Report Form" });
		request.setAttribute("breadcrumbs", bcs);
		
		return mapping.findForward("success");
	}

}
