package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/CountryAddForm.do", "/administrator/CountryEditForm.do",
 * "/administrator/CountryAdd.do", and "/administrator/CountryEdit.do". Provides
 * properties corresponding to the fields for a single country record.
 * 
 * @author David Tobey
 * 
 */
public class CountryAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3256443620537021746L;

	static Log log = LogFactory.getLog(CountryAddEditForm.class);

	private String countryID = null;

	private String code = null;

	private String name = null;

	private String countryOrder = null;

	private String allowOtherStates = "true";

	private String isActive = "true";

	public String getAllowOtherStates() {
		return allowOtherStates;
	}

	public void setAllowOtherStates(String allowOtherStates) {
		this.allowOtherStates = allowOtherStates;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getCountryOrder() {
		return countryOrder;
	}

	public void setCountryOrder(String countryOrder) {
		this.countryOrder = countryOrder;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCountryID() {
		return countryID;
	}

	public void setCountryID(String countryID) {
		this.countryID = countryID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getCode() == null  || getCode().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Code"));
		}
		if (getName() == null  || getName().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Name"));
		}
		if (getCountryOrder() == null  || getCountryOrder().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Country Order"));
		}
		if (getIsActive() == null  || getIsActive().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Active"));
		}
		if (getAllowOtherStates() == null  || getAllowOtherStates().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Allow 'Other' States"));
		}
		return getErrors();
	}
}
