package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/IncompleteOrdersProcess.do</code>.
 * 
 * @author David Tobey
 *  
 */
public class IncompleteOrdersAction extends BaseAction {

    static Log log = LogFactory.getLog(IncompleteOrdersAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");

        IncompleteOrdersForm baseForm = (IncompleteOrdersForm) form;
        baseForm.initializeProperties(mapping, request);

        OrderProcessor orderProcessor = (OrderProcessor) baseForm
                .getBusinessObjectFactory().createObject(
                        "orderProcessorImplementer");
        int numberDeleted = orderProcessor.deleteIncompleteOrders(PropertyUtils
                .describe(form));

        baseForm.getMessages().add(
                ActionMessages.GLOBAL_MESSAGE,
                new ActionMessage("messages.recordsDeleted", Integer
                        .toString(numberDeleted)));
        saveMessages(baseForm.getRequest(), baseForm.getMessages());

        return mapping.findForward("success");
    }
}
