package com.softslate.commerce.administrator.order;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.order.OrderDiscount;

/**
 * Struts form class corresponding to requests to
 * "/administrator/OrderDiscount.do". Provides properties to control searching,
 * viewing, editing, and deleting records in the <code>sscOrderDiscount</code>
 * table.
 * 
 * @author David Tobey
 * 
 */
public class OrderDiscountForm extends BaseSerializableForm {

	private static final long serialVersionUID = -8341420552453320048L;

	static Log log = LogFactory.getLog(OrderDiscountForm.class);

	private String idField = "orderDiscountID";

	private String parentIDField = "orderID";

	private String nameField = "code";

	private String entityProperty = "orderDiscount";

	private Class entity = OrderDiscount.class;

	private String[] searchableIntFields = { "orderDiscountID" };

	private String[] searchableFields = { "code", "name", "usersAppliesType",
			"usersAppliesValue", "itemsAppliesType", "itemsAppliesValue",
			"rewardType", "couponCode", "extra1", "extra2", "extra3" };

	private String[] fields = { "orderDiscountID", "orderItemID", "total",
			"discountID", "code", "name", "usersAppliesType",
			"usersAppliesValue", "itemsAppliesType", "itemsAppliesValue",
			"cartItemsValue", "cartItemsType", "rewardType", "reward",
			"couponCode", "floor", "ceiling", "extra1", "extra2", "extra3" };

	private String[] fieldLables = { "Order Disc ID", "Order Item ID", "Total",
			"Discount ID", "Code", "Name", "Users Type", "Users Value",
			"Items Type", "Items Value", "Cart Items", "Cart Items Type",
			"Reward Type", "Reward Amount", "Coupon Code", "Floor", "Ceiling",
			"Extra 1", "Extra 2", "Extra 3" };

	private String[] displayFields = { "code", "name", "total", "rewardType",
			"reward" };

	private String sortByString = "orderDiscountID";

	private String formAction = "/OrderDiscount.do";

	private String addFormAction = "/OrderDiscountAddForm.do";

	private String editFormAction = "/OrderDiscountEditForm.do";

	private String editDeleteFormAction = "/OrderDiscountEditDelete.do";

	private String orderID = "";

	private String[] orderDiscountID = null;

	private String[] orderItemID = null;

	private String[] total = null;

	private String[] discountID = null;

	private String[] code = null;

	private String[] name = null;

	private String[] usersAppliesType = null;

	private String[] usersAppliesValue = null;

	private String[] itemsAppliesType = null;

	private String[] itemsAppliesValue = null;

	private String[] cartItemsValue = null;

	private String[] cartItemsType = null;

	private String[] rewardType = null;

	private String[] reward = null;

	private String[] couponCode = null;

	private String[] floor = null;

	private String[] ceiling = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	public String[] getDiscountID() {
		return discountID;
	}

	public void setDiscountID(String[] discountID) {
		this.discountID = discountID;
	}

	public String[] getOrderItemID() {
		return orderItemID;
	}

	public void setOrderItemID(String[] orderItemID) {
		this.orderItemID = orderItemID;
	}

	public String[] getCeiling() {
		return ceiling;
	}

	public void setCeiling(String[] ceiling) {
		this.ceiling = ceiling;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getCouponCode() {
		return couponCode;
	}

	public void setCouponCode(String[] couponCode) {
		this.couponCode = couponCode;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getFloor() {
		return floor;
	}

	public void setFloor(String[] floor) {
		this.floor = floor;
	}

	public String[] getItemsAppliesType() {
		return itemsAppliesType;
	}

	public void setItemsAppliesType(String[] itemsAppliesType) {
		this.itemsAppliesType = itemsAppliesType;
	}

	public String[] getItemsAppliesValue() {
		return itemsAppliesValue;
	}

	public void setItemsAppliesValue(String[] itemsAppliesValue) {
		this.itemsAppliesValue = itemsAppliesValue;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String[] getCartItemsValue() {
		return cartItemsValue;
	}

	public void setCartItemsValue(String[] cartItemsValue) {
		this.cartItemsValue = cartItemsValue;
	}

	public String[] getCartItemsType() {
		return cartItemsType;
	}

	public void setCartItemsType(String[] cartItemsType) {
		this.cartItemsType = cartItemsType;
	}

	public String[] getReward() {
		return reward;
	}

	public void setReward(String[] reward) {
		this.reward = reward;
	}

	public String[] getRewardType() {
		return rewardType;
	}

	public void setRewardType(String[] rewardType) {
		this.rewardType = rewardType;
	}

	public String[] getUsersAppliesType() {
		return usersAppliesType;
	}

	public void setUsersAppliesType(String[] usersAppliesType) {
		this.usersAppliesType = usersAppliesType;
	}

	public String[] getUsersAppliesValue() {
		return usersAppliesValue;
	}

	public void setUsersAppliesValue(String[] usersAppliesValue) {
		this.usersAppliesValue = usersAppliesValue;
	}

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String[] getTotal() {
		return total;
	}

	public void setTotal(String[] total) {
		this.total = total;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String[] getOrderDiscountID() {
		return orderDiscountID;
	}

	public void setOrderDiscountID(String[] orderDiscountID) {
		this.orderDiscountID = orderDiscountID;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getOrderDiscountID() != null) {
			for (int i = 0; i < getOrderDiscountID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null
							|| getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					}
				}
			}
		}
		return errors;
	}
}
