package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author Tony Zakula
 *
 */
public class SettingsFormAuthorizeNetDPM extends BaseDynaForm {

	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(SettingsFormAuthorizeNetDPM.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("authorizeNetDPMLoginID") == null
				|| request.getParameter("authorizeNetDPMLoginID").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Login ID"));
		}
		if (request.getParameter("authorizeNetDPMTxKey") == null
				|| request.getParameter("authorizeNetDPMTxKey").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Transaction Key"));
		}
		if (request.getParameter("authorizeNetDPMTxType") == null
				|| request.getParameter("authorizeNetDPMTxType").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Transaction Type"));
		}
		if (request.getParameter("authorizeNetDPMURL") == null
				|| request.getParameter("authorizeNetDPMURL").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "URL"));
		}
		if (request.getParameter("authorizeNetDPMTestRequest") == null
				|| request.getParameter("authorizeNetDPMTestRequest").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Test Mode?"));
		}
		if (request.getParameter("authorizeNetDPMEmailCustomer") == null
				|| request.getParameter("authorizeNetDPMEmailCustomer").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Email Customer?"));
		}
		return getErrors();
	}

}
