package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.product.CategorySettingProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/CategorySettingAdd.do". Processes a request to add a record
 * to the system.
 * 
 * @author David Tobey
 */
public class CategorySettingAddAction extends BaseAction {

    static Log log = LogFactory.getLog(CategorySettingAddAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");

        // Add the record
        CategorySettingAddEditForm baseForm = (CategorySettingAddEditForm) form;

        CategorySettingProcessor processor = (CategorySettingProcessor) baseForm
                .getBusinessObjectFactory().createObject(
                        "categorySettingProcessorImplementer");
        processor.addCategorySetting(PropertyUtils.describe(form));

        // Set the success message
        baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
                new ActionMessage("messages.recordAdded"));
        saveMessages(baseForm.getRequest(), baseForm.getMessages());

        // Clear the form
        Class classDefinition = baseForm.getClass();
		baseForm = (CategorySettingAddEditForm) classDefinition.newInstance();
		baseForm.initializeProperties(mapping, request);
		request.setAttribute("categorySettingAddEditForm", baseForm);
        
        return mapping.findForward("success");
    }
}
