package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ProductProcessSelected.do". Processes a request to handle the
 * records selected by the user in some way.
 * 
 * @author David Tobey
 * 
 */
public class ProductProcessSelectedAction extends BaseAction {

	static Log log = LogFactory.getLog(ProductProcessSelectedAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		ProductForm baseForm = (ProductForm) form;
		ActionMessages messages = new ActionMessages();

		// Check that some records were selected
		if (baseForm.getSelectedID() == null
				|| baseForm.getSelectedID().length == 0) {
			ActionErrors errors = new ActionErrors();
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"errors.detail", "No records were selected."));
			saveErrors(request, (ActionMessages) errors);
			if (log.isInfoEnabled() && !errors.isEmpty())
				log.info("Validation error(s): " + errors.toString());
			return mapping.findForward("failure");
		}

		// Check that an action was selected
		if (baseForm.getWithSelected() == null || baseForm
				.getWithSelected().length() == 0) {
			ActionErrors errors = new ActionErrors();
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"errors.detail", "No action was selected."));
			saveErrors(request, (ActionMessages) errors);
			if (log.isInfoEnabled() && !errors.isEmpty())
				log.info("Validation error(s): " + errors.toString());
			return mapping.findForward("failure");
		}

		// Process updating the statuses of the selected records
		if (baseForm.getWithSelected().equals("runSalesReport")) {
			// Set the success message
			messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"messages.detail", "Select a date range for the report."));
			saveMessages(request, messages);
			return mapping.findForward("runSalesReport");
		}

		return mapping.findForward("success");
	}
}
