package com.softslate.commerce.administrator.shipping;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author Jason McWilliams
 * 
 */
public class SettingsFormFedEx extends BaseDynaForm {

	private static final long serialVersionUID = -3790457312228631672L;

	static Log log = LogFactory.getLog(SettingsFormFedEx.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);

		// Required
		if (!getFormUtils().stringArrayHasAnElement(this,
				"fedExServiceArray")) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Valid Services"));
		} else {
			String[] codes = (String[]) this.get("fedExServiceArray");
			String codeString = "";
			for (int i = 0; i < codes.length; i++) {
				if (codeString.length() > 0) {
					codeString = codeString + ",";
				}
				codeString = codeString + codes[i];
			}
			this.set("fedExService", codeString);
		}
		
		

		// Required
		if (request.getParameter("fedExURL") == null
				|| request.getParameter("fedExURL").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "FedEx URL"));
		}

		// Required
		if (request.getParameter("fedExAccountNumber") == null
				|| request.getParameter("fedExAccountNumber").length() == 0) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"FedEx Account Number"));
		}

		// Required
		if (request.getParameter("fedExOriginAddressPostalCode") == null
				|| request.getParameter("fedExOriginAddressPostalCode").length() == 0) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"FedEx Origin Address Postal Code"));
		}

		// Required
		if (request.getParameter("fedExOriginAddressCountryCode") == null
				|| request.getParameter("fedExOriginAddressCountryCode").length() == 0) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"FedEx Origin Address Country Code"));
		}
		return getErrors();
	}

}
