package com.softslate.commerce.administrator.tax;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/BasicTaxAddForm.do", "/administrator/BasicTaxEditForm.do",
 * "/administrator/BasicTaxAdd.do", and "/administrator/BasicTaxEdit.do".
 * Provides properties corresponding to the fields for a single basic tax rate
 * record.
 * 
 * @author David Tobey
 * 
 */
public class BasicTaxAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3978147625553770295L;

	static Log log = LogFactory.getLog(BasicTaxAddEditForm.class);

	private String basicTaxRateID = null;

	private String countryID = "";

	private String stateID = "";

	private String city = "[Any]";

	private String postalCode = "[Any]";

	private String rate = "0.00";

	private String isActive = "true";

	public String getBasicTaxRateID() {
		return basicTaxRateID;
	}

	public void setBasicTaxRateID(String basicTaxRateID) {
		this.basicTaxRateID = basicTaxRateID;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCountryID() {
		return countryID;
	}

	public void setCountryID(String countryID) {
		this.countryID = countryID;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	}

	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}

	public String getStateID() {
		return stateID;
	}

	public void setStateID(String stateID) {
		this.stateID = stateID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getCountryID() == null  || getCountryID().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Country"));
		}
		if (getCity().equals("[Any]")) {
			setCity("");
		}
		if (getPostalCode().equals("[Any]")) {
			setPostalCode("");
		}
		return getErrors();
	}
}
