package com.softslate.commerce.businessobjects.administrator;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.softslate.commerce.businessobjects.core.BusinessObject;

/**
 * Interface representing an administrator role within the system.
 * <p>
 * When the application needs to create an instance that implements
 * <code>AdministratorRole</code>,
 * {@link com.softslate.commerce.businessobjects.core.BusinessObjectFactory}
 * finds the name of the Java class to instantiate from the
 * "administratorRoleImplementer" setting in the
 * <code>appComponents.properties</code> file.
 * <p>
 * The default "administratorRoleImplementer" is
 * {@link com.softslate.commerce.businessobjects.administrator.AdministratorRoleBean}.
 * 
 * @author David Tobey
 */
@Audited
@AuditTable("AudAdministratorRole")
public interface AdministratorRole extends BusinessObject {

	abstract int getAdministratorRoleID();

	abstract void setAdministratorRoleID(int administratorRoleID);

	abstract int getAdministratorID();

	abstract void setAdministratorID(int administratorID);

	abstract int getRoleID();

	abstract void setRoleID(int RoleID);

	abstract Administrator getAdministrator();

	abstract void setAdministrator(Administrator administrator);

	abstract Role getRole();

	abstract void setRole(Role role);

}
