package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.AppUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Loads an address book for the current users.
 * 
 * @author Jason McWilliams
 * 
 */
public class LoadAddressBookAction extends BaseAction {

	static Log log = LogFactory.getLog(LoadAddressBookAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		AddressBookForm baseForm = (AddressBookForm) form;
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);

		// Check Settings
		String allowAddressBook = (String) baseForm.getSettings().getValue(
				"allowAddressBook");
		if (!"1".equals(allowAddressBook)) {
			baseForm.getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.addressBookNotAllowed"));
			saveErrors(baseForm.getRequest(), (ActionMessages) baseForm
					.getErrors());
			if (log.isInfoEnabled() && !baseForm.getErrors().isEmpty())
				log.info("Validation error(s): "
						+ baseForm.getErrors().toString());
			return mapping.findForward("failure");
		}
		synchronized (AppUtils.getSessionLock(baseForm.getRequest().getSession())) {

			// Save variable in the request scope for JSPs to use
			if (baseForm.getUser() != null
					&& baseForm.getUser().getCustomer() != null) {
				request.setAttribute("addressBook", baseForm.getUser()
						.getCustomer().getCustomerAddressCollection());
			}
			return mapping.findForward("success");
		}
	}
}
