package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class for submissions to view the detail of an order in a
 * customer's order history. Used for requests to "/OrderDetails.do".
 * <p>
 * The <code>validate</code> method of this class checks for the existance of
 * the <code>orderNumber</code> property.
 * 
 * @author David Tobey
 * 
 */
public class OrderDetailsForm extends BaseForm {
	
	private static final long serialVersionUID = -6872469515660847159L;

	static Log log = LogFactory.getLog(OrderDetailsForm.class);

	private String orderNumber = null;

	public String getOrderNumber() {
		return (this.orderNumber);
	}

	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
        if (log.isInfoEnabled())
            log.info("Starting validation.");
		initializeProperties(mapping, request);
		// Validate the order number
		if (getOrderNumber() == null || getOrderNumber().length() == 0) {
			String message = getMessage("order", "order.orderNumber", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}
