package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class for submissions to pick up a saved cart by a customer and
 * make it the active cart for the session. Used for requests to
 * "/SavedCartPickup.do".
 * <p>
 * The <code>validate</code> method of this class checks for the existance of
 * the <code>orderID</code> property.
 * 
 * @author David Tobey
 * 
 */
public class SavedCartPickupForm extends BaseForm {

	private static final long serialVersionUID = -8741556640574534599L;

	static Log log = LogFactory.getLog(SavedCartPickupForm.class);

	private String orderID = null;

	public String getOrderID() {
		return (this.orderID);
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		// Validate the order number
		if (getOrderID() == null || getOrderID().length() == 0) {
			String message = getMessage("order", "order.orderID", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}
