package com.softslate.commerce.daos.product;

import java.util.Collection;

import com.softslate.commerce.businessobjects.product.Category;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscCategory</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface CategoryDAO extends DAOInterface {
	abstract Category getCategory();

	abstract void setCategory(Category category);

	abstract void loadCategory() throws Exception;

	abstract void loadParents() throws Exception;

	abstract void loadSubcategories() throws Exception;

	abstract void loadCategoryFromID() throws Exception;

	abstract void insertCategory() throws Exception;

	abstract void insertCategory(boolean commit) throws Exception;

	abstract void updateCategory() throws Exception;

	abstract void updateCategory(boolean commit) throws Exception;

	abstract void updateCategoryOrderByID(int categoryID, int categoryOrder)
			throws Exception;

	abstract void deleteCategory() throws Exception;

	abstract void deleteCategory(boolean commit) throws Exception;

	abstract Collection loadSettings() throws Exception;

	abstract public void loadCategoryFromCode() throws Exception;

}
