package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to categories.
 * 
 * @author David Tobey
 * 
 */
public interface CategoryGatewayDAO extends DAOInterface {
	abstract Map loadCategoriesAndCount(Map parameters) throws Exception;

	abstract Map editDeleteCategories(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract Collection loadAllCategories() throws Exception;

	abstract Collection loadAllCategoriesSortedByName(boolean isContentPage)
			throws Exception;

	public Collection loadSubcategoriesSortedByName(boolean isContentPage,
			int parentCategory) throws Exception;

	abstract Collection loadAllCategoriesSortedByCode(boolean isContentPage)
			throws Exception;

	public Collection loadSubcategoriesSortedByCode(boolean isContentPage,
			int parentCategory) throws Exception;

	abstract int loadMaxCategoryID() throws Exception;

	abstract Collection loadCategoriesForIndexing(int firstCategoryID,
			int lastCategoryID) throws Exception;

	abstract void updateNullifyParentIDs(String[] parentCategoryIDs)
			throws Exception;

	abstract Collection loadAllCategoriesInRange(int firstID, int lastID)
			throws Exception;
}
