package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.product.SKUDiscount;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO that runs miscellaneous queries related to discounts.
 * 
 * @author David Tobey
 */
public interface DiscountGatewayDAO extends DAOInterface {

	abstract Collection loadStoreDiscounts() throws Exception;

	abstract Map loadDiscountsAndCount(Map parameters) throws Exception;

	abstract Map editDeleteDiscounts(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract void insertSKUDiscount(SKUDiscount sd) throws DataAccessException;

	abstract void insertSKUDiscount(SKUDiscount sd, boolean commit)
			throws DataAccessException;

	abstract Collection loadAllCoupons() throws DataAccessException;
}
