package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.DiscountRange;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscDiscountRange</code> table of
 * the database.
 * 
 * @author David Tobey
 */
public interface DiscountRangeDAO extends DAOInterface {
    abstract DiscountRange getDiscountRange();

    abstract void setDiscountRange(DiscountRange discountRange);

    abstract void loadDiscountRangeFromID() throws Exception;

    abstract void insertDiscountRange() throws Exception;

    abstract void insertDiscountRange(boolean commit) throws Exception;

    abstract void updateDiscountRange() throws Exception;

    abstract void updateDiscountRange(boolean commit) throws Exception;

    abstract void deleteDiscountRange() throws Exception;

    abstract void deleteDiscountRange(boolean commit) throws Exception;
}
