package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.ProductReview;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;
/**
 * Interface for a DAO to manage the <code>sscProductReview</code> table of the
 * database.
 * 
 * @author Tony Zakula
 */
public interface ProductReviewDAO extends DAOInterface {

	void deleteProductReview(boolean commit) throws DataAccessException;

	ProductReview getProductReview();

	void insertProductReview(boolean commit) throws DataAccessException;

	void loadReviewFromID() throws Exception;

	void setProductReview(ProductReview productReview);

	void updateProductReview(boolean commit) throws DataAccessException;
	
}
