CREATE TABLE sscCustomerWishList (
  customerWishListID number(10,0) not null,
  customerID number(10,0),
  name varchar2(255),
  description varchar2(255),
  created varchar2(100),
  lastUpdated varchar2(100),
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean', 
  primary key (customerWishListID)
);

alter table sscCustomerWishList add constraint FKCWLC foreign key (customerID) references sscCustomer;

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID number(10,0) not null,
  customerWishListID number(10,0),
  productID number(10,0),
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean',
  primary key (customerWishListProductID)
);

alter table sscCustomerWishListProduct add constraint FKCWLPCWL foreign key (customerWishListID) references sscCustomerWishList;
alter table sscCustomerWishListProduct add constraint FKCWLPP foreign key (productID) references sscProduct;

CREATE TABLE sscRequestLog (
  requestLogID number(10,0) not null,
  orderID number(10,0),
  orderNumber number(10,0),
  customerID number(10,0),
  customerUserName varchar2(100),
  administratorID number(10,0),
  administratorUserName varchar2(100),
  sessionID varchar2(100),
  ipAddress varchar2(255),
  userAgent varchar2(255),
  servletPath varchar2(255),
  requestURL varchar2(255),
  requestParameters clob,
  referrer varchar2(255),
  isAdminRequest number(1,0) default 0, 
  created varchar2(100),
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.core.RequestLogBean',
  primary key (requestLogID)
);

CREATE INDEX sscRequestLog_orderID ON sscRequestLog (orderID);
CREATE INDEX sscRequestLog_orderNumber ON sscRequestLog (orderNumber);
CREATE INDEX sscRequestLog_customerID ON sscRequestLog (customerID);
CREATE INDEX sscRequestLog_customerUserName ON sscRequestLog (customerUserName);
CREATE INDEX sscRequestLog_administratorID ON sscRequestLog (administratorID);
CREATE INDEX sscRequestLog_adminUserName ON sscRequestLog (administratorUserName);
CREATE INDEX sscRequestLog_sessionID ON sscRequestLog (sessionID);
CREATE INDEX sscRequestLog_ipAddress ON sscRequestLog (ipAddress);
CREATE INDEX sscRequestLog_userAgent ON sscRequestLog (userAgent);
CREATE INDEX sscRequestLog_servletPath ON sscRequestLog (servletPath);
CREATE INDEX sscRequestLog_requestURL ON sscRequestLog (requestURL);
CREATE INDEX sscRequestLog_created ON sscRequestLog (created);

ALTER TABLE sscDiscount ADD CONSTRAINT discountOIFK FOREIGN KEY (orderItemID) REFERENCES sscOrderItem ON DELETE SET NULL;
