CREATE TABLE sscProductReview (
  productReviewID int4 not null,
  productID int4 not null,
  status int4 default 0,
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.product.ProductReviewBean',
  nickname VARCHAR(255),
  firstName VARCHAR(255),
  lastName VARCHAR(255),
  email VARCHAR(255),
  age VARCHAR(255),
  city VARCHAR(255),
  state VARCHAR(255),
  review text,
  rating int4,
  created VARCHAR(255),
  imagePath VARCHAR(255),
  ipaddress VARCHAR(255),
  country VARCHAR(255),
  customerID int4,
  primary key (productReviewID)
);

alter table sscProductReview add constraint FKPRP foreign key (productID) references sscProduct;
alter table sscProductReview add constraint FKPRC foreign key (customerID) references sscCustomer ON DELETE SET NULL;

CREATE INDEX IDX_sscProductReview_rating ON sscProductReview (rating);
CREATE INDEX IDX_sscProductReview_nickname ON sscProductReview (nickname);
