UPDATE sscSetting SET smallValue='3.5.2' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('useCountQueryForNewOrderNumbers','Use Count Query for New Order Numbers','If set to 1, the system will count how many records there are in the sscOrderNumber table to determine each new order number, rather than use the auto-increment value of the new record in sscOrderNumber. This is necesseary to ensure that order numbers are sequential when using Galera for clustering because Galera increments auto-increment fields by more than one, to avoid write contention in the cluster. Set this to 1 if you are using Percona XtraDB Cluster or Galera and you need order numbers to increase by one always.','ADVANCEDSYSTEM','integerValue',0,NULL,NULL,NULL);

INSERT INTO sscRole(code, name, description)
VALUES('orderShippingRulesView', 'Order Shipping Rule Viewer', 'Allows access to view shipping rules attached to an order.');
INSERT INTO sscRole(code, name, description)
VALUES('orderShippingRulesEdit', 'Order Shipping Rule Editor', 'Allows access to view, edit, and delete shipping rules attached to an order.');

INSERT INTO sscRole(code, name, description) VALUES('settingsCardInfoCleanUpJobView', 'Card Info Clean Up Job Settings Viewer', 'Allows access to view Card Info Clean Up Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCardInfoCleanUpJobEdit', 'Card Info Clean Up Job Settings Editor', 'Allows access to view and edit Card Info Clean Up Job settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CardInfoCleanUpJob-isOn','Card Info Clean Up Job - Is On','Turn the job on or off','CardInfoCleanUpJob', 'booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CardInfoCleanUpJob-olderThanDays','Card Info Clean Up Job - Older Than Days','Clean up card info for orders older than this many days.','CardInfoCleanUpJob','integerValue','30',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('CardInfoCleanUpJob-olderThanHours','Card Info Clean Up Job - Older Than Hours','In addition to the number of days, clean up card info for orders older than this many hours.','CardInfoCleanUpJob','integerValue','0',NULL,NULL,NULL);

INSERT INTO sscRole(code, name, description) VALUES('settingsSecurityHeadersView', 'Security Headers Settings Viewer', 'Allows access to view Security Headers settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsSecurityHeadersEdit', 'Security Headers Settings Editor', 'Allows access to view and edit Security Headers settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('xFrameOptionsHeader','X-Frame-Options Header Value','The value the application will set in the X-Frame-Options HTTP response header. Leave blank to not include the header at all.','SECURITYHEADERS','textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('contentPolicyResponseHeader','Content-Security-Policy Header Value','The value the application will set in the Content-Security-Policy HTTP response header. Leave blank to not include the header at all.','SECURITYHEADERS','textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('tinyMCEAPIKey','TinyMCE API Key','If using the TinyMCE Rich Text Editor, you must register your domain with TinyMCE and enter the API Key for your account here.','ADVANCEDSYSTEM','mediumValue',NULL,NULL,'',NULL);
