<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:if test="${!lKM.licenseValidFormat}">
	<div class="warning adminWarning">
		The license key entered for this installation is in an invalid format, or cannot be found for the current domain name, <c:out value="${pageContext.request.serverName}"/>.
		Please double-check your license key for the domain name exists in <a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a>
		and try entering it again on the 
		<a href="SettingsLicenseKey.do">License Key screen</a>.
	</div>
	<br/>
</c:if>
<c:if test="${lKM.licenseValidFormat && !empty lKM.licenseExpiration && !lKM.licenseValidExpiration}">
	<div class="warning adminWarning">
		The expiration date for the license key entered for this installation is in an invalid format: ${lKM.licenseExpiration}.
		Please double-check your license key in <a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a>
		and try entering it again on the 
		<a href="SettingsLicenseKey.do">License Key screen</a>.
	</div>
	<br/>
</c:if>
<c:if test="${lKM.licenseValidFormat && lKM.licenseAboutToExpire && lKM.licenseType eq 'E'}">
	<fmt:parseDate value="${lKM.licenseExpiration}" pattern="yyyyMMdd" var="parsed" parseLocale="en_US" />
	<div class="note adminWarning">
		Your license for the Enterprise Edition is set to expire within 30 days, on <fmt:formatDate value="${parsed}" type="date" />.
		We will attempt to automatically renew the license at that time.
		You will need to enter the new license key for the renewal into the <a href="SettingsLicenseKey.do">License Key screen</a> and
		you will be set for another year. If there is problem we will notify you, and there is a 30 day grace period to resolve any issues.
		To renew the license yourself at any time, visit <a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a>.
	</div>
	<br/>
</c:if>
<c:if test="${lKM.licenseValidFormat && lKM.licenseGracePeriod && lKM.licenseType eq 'E'}">
	<fmt:parseDate value="${lKM.licenseExpiration}" pattern="yyyyMMdd" var="parsed" parseLocale="en_US" />
	<div class="important adminWarning">
		Your license for the Enterprise Edition expired within the past 30 days, on <fmt:formatDate value="${parsed}" type="date" />.
		We have attempted to automatically renew the license and you should check if a new
		license key was created by logging into <a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a>.
		If we were not successful renewing the license, you may need to renew the license manually.
		You will need to enter the new license key for the renewal into the <a href="SettingsLicenseKey.do">License Key screen</a> and
		you will be set for another year.
		There is a 30 day grace period for you to do this before the Enterprise Edition features are disabled. 
	</div>
	<br/>
</c:if>
<c:if test="${lKM.licenseValidFormat && lKM.licenseExpired && lKM.licenseType eq 'E'}">
	<fmt:parseDate value="${lKM.licenseExpiration}" pattern="yyyyMMdd" var="parsed" parseLocale="en_US" />
	<div class="warning adminWarning">
		Your license for the Enterprise Edition expired on <fmt:formatDate value="${parsed}" type="date" /> and
		the Enterprise Edition features have been disabled.
		Please log into <a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a> to renew the license.
		You will need to enter the new license key for the renewal into the <a href="SettingsLicenseKey.do">License Key screen</a> to
		re-enable the features.
	</div>
	<br/>
</c:if>
<c:if test="${lKM.licenseValidFormat && !lKM.enterpriseArtifactsExist && lKM.licenseType eq 'E'}">
	<div class="important adminWarning">
		The Enterprise Edition Java classes do not appear to exist in your installation. 
		If you are upgrading from the Community Edition to the Enterprise Edition you'll need to add them
		in order to use the Enterprise Edition features.
		To download these classes, visit the Downloads tab under
		<a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a>.
	</div>
	<br/>
</c:if>
<c:if test="${empty settings.map.licenseKey && lKM.enterpriseArtifactsExist}">
	<div class="important adminWarning">
		It looks like you've installed the Enterprise Edition and there is just one more step to activate the
		Enterprise Edition features: entering your license key.
		If you don't have it already, you can retrieve your license key from <a target="_new" href="http://www.softslate.com/Account.do">your account on softslate.com</a>.
		Once you have it, enter it into "SoftSlate Commerce License Key" setting on the <a href="SettingsLicenseKey.do">License Key screen</a>.
	</div>
	<br/>
</c:if>