<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.customer.core.BaseForm" %>
<%@ page import="com.softslate.commerce.customer.core.AppUtils" %>
<%@ page import="com.softslate.commerce.businessobjects.order.Order" %>
<%@ page import="com.softslate.commerce.businessobjects.core.User" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory" %>
<%@ page import="org.apache.commons.logging.Log" %>
<%@ page import="org.apache.commons.logging.LogFactory" %>
<%@ page import="com.softslate.commerce.administrator.order.OrderProcessSelectedAction" %>
<%@ page import="com.softslate.commerce.businessobjects.email.Email" %>
<%@ page import="com.softslate.commerce.businessobjects.email.EmailSender" %>
<%@ page import="com.softslate.commerce.businessobjects.email.TemplateParser" %>
<%@ page import="com.softslate.commerce.businessobjects.email.Template" %>
<%@ page import="com.softslate.commerce.businessobjects.email.TemplateProcessor" %>
<%@ page import="java.util.Calendar" %>

<!-- Start orderMultipleEmail.jsp -->
<c:if test="${requestScope.sendMultipleEmails}">

	<bean:define id="selectedArray" name="mainForm" property="selectedID" type="java.lang.String[]" />
	<% java.util.Collection selectedCollection = java.util.Arrays.asList(selectedArray); %>
	<c:set var="countOrders" value="0"/>
	<%
		BaseForm baseForm = (BaseForm) request.getAttribute("baseForm");
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		User user = (User) baseForm.getRequest().getAttribute("user");
		Log log = LogFactory.getLog(OrderProcessSelectedAction.class);
		String layout = (String) session.getAttribute("currentLayout");
		if (layout == null) {
			layout = (String) session.getAttribute("adminCurrentLayout");
		}
	%>
	
	<logic:iterate name="orders" id="order" indexId="i" type="com.softslate.commerce.businessobjects.order.Order">
		<bean:define id="orderID" name="order" property="orderID" />
		<% String stringOrderID = orderID.toString(); %>
		<% if (selectedCollection.contains(stringOrderID)) { %>
			<c:set var="order" value="${order}" scope="request"/>
			<c:set var="countOrders" value="${countOrders + 1}"/>
			<c:forTokens var="template" varStatus="current" items="${mainForm.withSelectedEmail}" delims="|">
				<c:choose>
					<c:when test="${fn:startsWith(template, 'jsp-')}">
						<c:set var="template" value="${fn:substring(template, 4, fn:length(template))}"/>
						<c:set var="adminTemplate" scope="request" value="${template}"/>
						<c:set var="emailHTMLFile" value="/WEB-INF/templates/administrator/default/email/${template}EmailHTML.jsp"/>
						<c:set var="emailTextFile" value="/WEB-INF/templates/administrator/default/email/${template}EmailText.jsp"/>
						<%
							pageContext.setAttribute("emailHTMLPage", AppUtils.alterURI((String) pageContext.getAttribute("emailHTMLFile"), layout, pageContext.getServletContext()));
							pageContext.setAttribute("emailTextPage", AppUtils.alterURI((String) pageContext.getAttribute("emailTextFile"), layout, pageContext.getServletContext()));
						%>
						<c:import var="emailHTMLContent" url="${emailHTMLPage}"/>
						<c:import var="emailTextContent" url="${emailTextPage}"/>
						<%
							if (baseForm.formUtils().isValidEmail(order.getEmail1())) {
								try {
									log.info("Sending email: " + request.getAttribute("emailSubject"));
									Email email = bof.createObject(Email.class);
									email.setCustomer(order.getCustomer());
									email.setOrder(order);
									email.setToEmails(order.getEmail1());
									email.setType((String) pageContext.getAttribute("template") + "-" + order.getOrderNumber() + "-" + Calendar.getInstance().getTimeInMillis());
									email.setBodyHtml((String) pageContext.getAttribute("emailHTMLContent"));
									email.setBodyText((String) pageContext.getAttribute("emailTextContent"));
									email.setSubject((String) request.getAttribute("emailSubject"));
									email.setDontSendIfSameEmailTypeAlreadySent(false);
									EmailSender sender = bof.createObject(EmailSender.class);
									sender.setEmail(email);
									sender.send();
								} catch (Exception e) {
									if (log.isErrorEnabled())
										log.error("Error sending email", e);
								}
							}
						%>
					</c:when>
					<c:otherwise>
						<%
							if (baseForm.formUtils().isValidEmail(order.getEmail1())) {
								try {
									TemplateProcessor processor = bof.createObject(TemplateProcessor.class);
									Template templateObj = processor.loadTemplateFromCode((String) pageContext.getAttribute("template"));
									String emailType = "ManuallyTriggered-" + templateObj.getCode() + "-" + order.getOrderNumber() + "-" + Calendar.getInstance().getTimeInMillis();
									Email email = bof.createObject(Email.class);
									email.setCustomer(order.getCustomer());
									email.setOrder(order);
									email.setOrderID(order.getOrderID());
									email.setToEmails(order.getEmail1());
									email.setType(emailType);
									email.setTemplate(templateObj);
									email.setDontSendIfSameEmailTypeAlreadySent(false);
									TemplateParser templateParser = bof.createObject(TemplateParser.class);
									templateParser.initialize(templateObj, email, null);
									if (templateParser.parseEmail()) {
										EmailSender sender = bof.createObject(EmailSender.class);
										sender.setEmail(email);
										sender.send();
									}
								} catch (Exception e) {
									if (log.isErrorEnabled())
										log.error("Error sending email", e);
								}
							}
						%>
					</c:otherwise>
				</c:choose>
			</c:forTokens>
		<% } %>
	</logic:iterate>

</c:if>
<!-- End orderMultipleEmail.jsp -->
