<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsQBOAdvanced.jsp -->
<c:set var="administratorURL" value="${settings.map.administratorURL}" />
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="instructions">
    These advanced QuickBooks Online settings should only be needed for reference, unless some problem occurs. The application will manage these settings.
</div>

<br/>
<html:form action="/SettingsProcessQBOAdvanced" method="post">
    <table class="settingsTable">
        <tr>
            <th class="setting">Setting</th>
            <th class="value">Value</th>
        </tr>
        <logic:iterate name="administratorSettings" id="settingRow" indexId="index">
            <logic:match name="settingRow" property="type" value="QBOADVANCED">
                <c:choose>
                    <c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
                    <c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
                </c:choose>
                <c:set var="setting" value="${settingRow}" scope="request"/>
                <c:choose>
                    <c:when test="${setting.code eq 'qboSandboxOrLive'}">
                        <tr>
                            <td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
                            <td class="value">
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="Sandbox" <logic:match name="setting" property="smallValue" value="Sandbox">checked="checked"</logic:match>/> Sandbox
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="Live" <logic:match name="setting" property="smallValue" value="Live">checked="checked"</logic:match>/> Live
                                <br/><br/>
                                <div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
                            </td>
                        </tr>
                    </c:when>
                    <c:otherwise>
                        <ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
                    </c:otherwise>
                </c:choose>
            </logic:match>
        </logic:iterate>
    </table>
    <logic:present role="superuser,administrator,settingsEdit,settingsQBOAdvancedEdit">
        <div class="saveSettings">
            <input type="submit" class="button" value="Save Settings"/>
        </div>
    </logic:present>
</html:form>

<!-- End settingsQBOAdvanced.jsp -->
