<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start discountFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'skus' and !empty requestScope.product and item.itemsAppliesType ne '[skus]'}">
					<span class="calloutMatch">*</span>
					<input type="hidden" name="skuIDs" value=""/>
					<c:set var="nonSKUDiscount" value="true" scope="request"/>
				</c:when>
				<c:when test="${field eq 'skus' and !empty requestScope.product}">
					<c:set var="skuIDs" value=""/>
					<c:if test="${!empty item.skuDiscounts}">
						<div style="text-align: left">
							<logic:iterate name="item" property="skuDiscounts" id="sd">
								<c:set var="sku" value="${sd.sku}"/>
								<c:if test="${sku.productID eq product.productID}">
									<span style="white-space: nowrap;"><c:out value="${sku.skuNumber}"/></span>
									<c:if test="${!empty skuIDs}">
										<c:set var="skuIDs" value="${skuIDs}|"/>
									</c:if>
									<c:set var="skuIDs" value="${skuIDs}${sku.skuID}"/>
								</c:if>
							</logic:iterate>
						</div>
					</c:if>
					<c:if test="${empty skuIDs}">
						<c:set var="prodSkuKey" value="${product.productID}|"/>
						<c:if test="${!empty product.skuMap and !empty product.skuMap[prodSkuKey]}">
							<div style="text-align: left">
								<span style="white-space: nowrap;"><c:out value="${product.skuMap[prodSkuKey].skuNumber}"/></span>
							</div>
							<c:set var="skuIDs" value="${product.skuMap[prodSkuKey].skuID}"/>
						</c:if>
					</c:if>
					<c:choose>
						<c:when test="${empty skuIDs}">
							<span class="calloutMatch">**</span>
							<input type="hidden" name="skuIDs" value=""/>
							<c:set var="noProductSKU" value="true" scope="request"/>
						</c:when>
						<c:when test="${!empty skuIDs}">
							<input type="hidden" name="skuIDs" value="<c:out value="${skuIDs}"/>"/>
						</c:when>
					</c:choose>
				</c:when>
				<c:when test="${field eq 'discountID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${field eq 'orderItemID'}">
					<a href="OrderItemEditForm.do?orderItemID=<c:out value="${item[field]}" />"><c:out value="${item[field]}" /></a>
					<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isTimesPerCustomer'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'usersAppliesType'}">
							<html:select name="item" property="usersAppliesType" styleClass="genericGridData">
								<html:option value="[allUsers]">All Users</html:option>
								<html:option value="[loggedIn]">Logged In Customers</html:option>
								<html:option value="[userNames]">User Names</html:option>
								<html:option value="[customerStatuses]">Customer Statuses</html:option>
								<html:option value="[previousOrderTotal]">Total of Previous Orders</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'itemsAppliesType'}">
							<html:select name="item" property="itemsAppliesType" styleClass="genericGridData">
								<html:option value="[global]">Global</html:option>
								<html:option value="[shipping]">Shipping</html:option>
								<html:option value="[skus]">SKUs</html:option>
								<html:option value="[giftCertificate]" styleClass="enterpriseFeature">Gift Certificate</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'rewardType'}">
							<html:select name="item" property="rewardType" styleClass="genericGridData">
								<html:option value="[percentage]">Percentage</html:option>
								<html:option value="[amount]">Amount</html:option>
								<html:option value="[itemsForFree]">Items for Free</html:option>
								<html:option value="[rangeByQuantity]">Range By Quantity</html:option>
								<html:option value="[rangeByPrice]">Range By Price</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'cartItemsType'}">
							<html:select name="item" property="cartItemsType" styleClass="genericGridData">
								<html:option value="[noItemsRequired]">No Items Required</html:option>
								<html:option value="[anyOneItem]">Any One Item</html:option>
								<html:option value="[allItems]">All Items</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'description'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isTimesPerCustomer'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'usersAppliesType'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item.usersAppliesType eq '[allUsers]'}">
									All Users
								</c:when>
								<c:when test="${item.usersAppliesType eq '[loggedIn]'}">
									Logged In Customers
								</c:when>
								<c:when test="${item.usersAppliesType eq '[userNames]'}">
									User Names
								</c:when>
								<c:when test="${item.usersAppliesType eq '[customerStatuses]'}">
									Customer Statuses
								</c:when>
								<c:when test="${item.usersAppliesType eq '[previousOrderTotal]'}">
									Total of Previous Orders
								</c:when>
								<c:otherwise>
									<c:out value="${item.usersAppliesType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'itemsAppliesType'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item.itemsAppliesType eq '[global]'}">
									Global
								</c:when>
								<c:when test="${item.itemsAppliesType eq '[giftCertificate]'}">
									Gift Certificate
								</c:when>
								<c:when test="${item.itemsAppliesType eq '[shipping]'}">
									Shipping
								</c:when>
								<c:when test="${item.itemsAppliesType eq '[skus]'}">
									SKUs
								</c:when>
								<c:otherwise>
									<c:out value="${item.itemsAppliesType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'rewardType'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item.rewardType eq '[percentage]'}">
									Percentage
								</c:when>
								<c:when test="${item.rewardType eq '[amount]'}">
									Amount
								</c:when>
								<c:when test="${item.rewardType eq '[itemsForFree]'}">
									Items for Free
								</c:when>
								<c:when test="${item.rewardType eq '[rangeByQuantity]'}">
									Range By Quantity
								</c:when>
								<c:when test="${item.rewardType eq '[rangeByPrice]'}">
									Range By Price
								</c:when>
								<c:otherwise>
									<c:out value="${item.rewardType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'cartItemsType'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item.cartItemsType eq '[noItemsRequired]'}">
									Percentage
								</c:when>
								<c:when test="${item.cartItemsType eq '[anyOneItem]'}">
									Any One Item
								</c:when>
								<c:when test="${item.cartItemsType eq '[allItems]'}">
									All Items
								</c:when>
								<c:otherwise>
									<c:out value="${item.cartItemsType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End discountFieldColumns.jsp -->
