<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start skuExtra.jsp -->
<c:if test="${mainForm.parentIDField ne 'discountID' or empty requestScope.discount}">
<c:if test="${mainForm.parentIDField ne 'shippingRuleID' or empty requestScope.shippingRule}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader"><bean:message key="product.skuBuilder" bundle="/product"/></h2>
		<form name="skuBuilderForm" action="SKUBuilder.do" class="extraForm adminContainer">
			<div class="instructions">
				<bean:message key="product.buildSKUInstructions" bundle="/product"/>
			</div>
			<table>
				<c:choose>
					<c:when test="${!empty mainForm.productID}">
						<tr>
							<td class="extraField">
								<input type="hidden" name="productID" value="<c:out value="${mainForm.productID}"/>"/>
								<input type="hidden" name="parentIDField" value="productID"/>
								<input class="radiobtn" type="radio" name="skusToBuild" id="skusToBuild-productSkus" value="productSkus"/>
								<bean:message key="product.buildProductSKUs" bundle="/product"/>.
								<c:if test="${!empty product && !empty product.productAttributes}">
									<div class="attributesAndOptionsCheckboxes" style="display: none">
										<c:set var="styleClass" value="altRow"/>
										<logic:iterate name="product" property="productAttributes" id="pa">
											<c:set var="attribute" value="${pa.attribute}"/>
											<c:if test="${attribute.attributeIsActive}">
												<c:set var="indent" value="20"/>
												<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
												<div class="<c:out value="${styleClass}"/> attributeCheckboxDiv" style="text-indent: <c:out value="${indent}"/>px">
													<input type="checkbox" name="includedAttributeIds" value="${attribute.attributeID}" checked="checked" style="width: auto;" id="includedAttributeIds-${attribute.attributeID}" class="attributeCheckbox"/>
													<label for="includedAttributeIds-${attribute.attributeID}"><c:out value="${attribute.attributeName}" escapeXml="false"/> (<c:out value="${attribute.attributeCode}"/>)</label>
													<c:if test="${!empty attribute.attributeOptions and !attribute.attributeOptions['empty']}">
														<c:set var="indent" value="${indent + 20}"/>
														<logic:iterate name="attribute" property="attributeOptions" id="option">
															<c:if test="${option.optionIsActive}">
															<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
																<div class="<c:out value="${styleClass}"/> optionCheckboxDiv" style="text-indent: <c:out value="${indent}"/>px">
																	<input type="checkbox" name="includedOptionIds" value="${option.optionID}" checked="checked" style="width: auto;" id="includedOptionIds-${option.optionID}" class="optionCheckbox"/>
																	<label for="includedOptionIds-${option.optionID}"><c:out value="${option.optionName}" escapeXml="false"/> (<c:out value="${option.optionCode}"/>)</label>
																</div>
															</c:if>
														</logic:iterate>
													</c:if>
												</div>
											</c:if>
										</logic:iterate>
										<bean:size id="numberOfAttributes" name="product" property="productAttributes"/>
										<c:if test="${numberOfAttributes > 5}">
											<p class="warning">NOTE: Only the first five Attributes selected will be taken into account when building SKUs.</p>
										</c:if>
									</div>
								</c:if>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<tr>
							<td class="extraField">
								<input class="radiobtn" type="radio" name="skusToBuild" value="allProductSKUs"/> <bean:message key="product.buildAllProductSKUs" bundle="/product"/>
							</td>
						</tr>
						<tr>
							<td class="extraField">
								<input class="radiobtn" type="radio" name="skusToBuild" value="allAttributeSKUs"/> <bean:message key="product.buildAllAttributeSKUs" bundle="/product"/>
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
				<tr>
					<td class="extraButton">
						<input type="submit" class="button" name="skuBuilderSubmit" value="<bean:message key="product.buildSKUs" bundle="/product"/>" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</c:if>
</c:if>

<script>
	$(document).ready(function() {
		$('#skusToBuild-productSkus').click(function(event) {
			if (event.currentTarget.checked) {
				$('.attributesAndOptionsCheckboxes').show();
			} else {
				$('.attributesAndOptionsCheckboxes').hide();
			}
		});
		
		$('.attributeCheckbox').click(function(event) {
			let ckbox = event.currentTarget;
			let attrDiv = $(ckbox).parents('.attributeCheckboxDiv');
			if (event.currentTarget.checked) {
				$(attrDiv).find('.optionCheckbox').prop('checked', true);
			} else {
				$(attrDiv).find('.optionCheckbox').removeAttr('checked');
			}
		});
		
		$('.optionCheckbox').click(function(event) {
			let ckbox = event.currentTarget;
			let attrDiv = $(ckbox).parents('.attributeCheckboxDiv');
			let attrCkbox = $(attrDiv).find('.attributeCheckbox').prop('checked', true);
		});
	});
</script>
<!-- End skuExtra.jsp -->
